#include "gridinterpolator.hpp"
#include <iostream>
#include <fstream>
#include <myfitter/comparison.hpp>

typedef myfitter::grids::GridInterpolator3D<double, double> GridInterpolator3D;

inline bool differ(double a, double b)
{
    return myfitter::differ(a, b, 1.e-12, 1.e-12);
}

int main()
{
    std::cout.precision(15);

    GridInterpolator3D g3;
    if(!g3.read("grid1.dat")) return 1;    
    if(differ(g3.interp(0.2,0.3,0.4), 0.296)) return 1;

    return 0;
}
